<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

      <script type="text/javascript">
          	
           window.addEventListener("load",function(){
           document.querySelector("#boton1").addEventListener("click",function(e){
             document.querySelector("#divResultado").innerHTML+=1;

          });
        
            document.querySelector("#boton2").addEventListener("click",function(e){
             document.querySelector("#divResultado").innerHTML+=2;


           });

            document.querySelector("#boton3").addEventListener("click",function(e){
             document.querySelector("#divResultado").innerHTML+=3;

           });

             document.querySelector("#boton4").addEventListener("click",function(e){
             document.querySelector("#divResultado").innerHTML+=4;


           });

         });

             document.querySelector("#rojo").addEventListener("click",function(e){
             document.querySelector("#divResultado")style.backgroundColor = 'red';
             


           });
        

      </script>



</head>
<body>
	
  <form>
		
			
		<button  type="button" id="boton1">boton1</button>
		<button  type="button" id="boton2">boton2</button>
		<button  type="button" id="boton3">boton3</button>
		<button  type="button" id="boton4">Boton4</button>
		<button type="button" id="rojo">red</button>
	    <button type="button" id="verde">verde</button>
	    <button type="button" id="azul">azul</button>
	</form>

	 <div id="divResultado">
		
	</div>
	
</body>
</html>


</body>
</html>